IDataSet (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.interfaces.IDataSet,IDataSet interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData.interfaces
Interface IDataSet

All Superinterfaces:
  IData, java.io.Serializable

All Known Subinterfaces:
  IAxisChartDataSet, IAxisPlotDataSet, IPieChartDataSet, IScatterPlotDataSet, IStockChartDataSet

All Known Implementing Classes:
  AxisChartDataSet, DataSet, PieChartDataSet, ScatterPlotDataSet, StockChartDataSet

public interface IDataSet
extends IData

Method Summary
`ChartTypeProperties` | `getChartTypeProperties()` Returns ChartTypeProperties Object for the data set which will be typed into the specific chart type class.
`java.lang.String` | `getLegendLabel(int index)` Returns the Legend Label for the passed index.
`int` | `getNumberOfDataItems()` Returns the number of elements in the data set.
`int` | `getNumberOfLegendLabels()` Returns the number of legend labels in the data set.
`java.awt.Paint` | `getPaint(int index)` Returns the Paint Object for the passed index.

Method Detail

### getPaint

    public java.awt.Paint getPaint(int index)

  Returns the Paint Object for the passed index. This index corresponds to the DataSet for which Paint you want.

  Parameters:
    `index` -
  Returns:
    Paint

### getChartTypeProperties

    public ChartTypeProperties getChartTypeProperties()

  Returns ChartTypeProperties Object for the data set which will be typed into the specific chart type class.

  Returns:
    ChartTypeProperties

### getLegendLabel

    public java.lang.String getLegendLabel(int index)

  Returns the Legend Label for the passed index. This index corresponds to the DataSet for which Label you want.

  Parameters:
    `index` -
  Returns:
    String should return NULL of no labels specified

### getNumberOfDataItems

    public int getNumberOfDataItems()

  Returns the number of elements in the data set.

  Returns:
    int

### getNumberOfLegendLabels

    public int getNumberOfLegendLabels()

  Returns the number of legend labels in the data set.

  Returns:
    int should return 0 if no labels specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD